************************************************************************
*Standard Linear and Logic, Texas Instruments
************************************************************************
*          Property of Texas Instruments Incorporated.  Unauthorized   *
*          reproduction and/or distribution is strictly prohibited.    *
*                                                                      *
*          This product is protected under copyright law.              *
*          Created 1998, (C) Copyright 1998, Texas Instruments Inc.,   *
*          All Rights Reserved                                         *
*                                                                      *
*          UNLESS THERE IS A SIGNED, WRITTEN AGREEMENT TO THE          *
*          CONTRARY, TEXAS INSTRUMENTS ("TI") IS PROVIDING THE SPICE   *
*          MODELS "AS IS" AND WITHOUT ANY WARRANTY, EXPRESSED OR       *
*          IMPLIED.  TI assumes no liability for:                      *
*          1) the accuracy of the SPICE models provided to your        *
*             company;                                                 *
*          2) the proper functioning of these SPICE models in your     *
*             design or for any resulting applications; or             *
*          3) infringement of patents, copyrights or intellectual      *
*             property rights resulting from your use of these         *
*             SPICE models.                                            *
*                                                                      *
*          TI provides SPICE Models as a service to our customers.     *
*          You and your company shall not distribute, sell or give     *
*          these models to anyone else without prior written           *
*          permission from TI.                                         *
*                                                                      *
*          TI reserves the right to make changes to our products or    *
*          to discontinue any semiconductor product or service         *
*          without notice, and advises our customers to obtain the     *
*          latest version of relevant information to verify, before    *
*          placing orders, that the information being relied on is     *
*          current.                                                    *
*                                                                      *
*          Please be aware that your receipt and use of the SPICE      *
*          information provided shall serve as acceptance of these     *
*          terms and conditions.  If you do not accept these terms,    *
*          you should return or destroy the SPICE models and any       *
*          other accompanying information immediately.                 *
************************************************************************
* SLL APPLICATIONS, ETN
* DATE : May, 2003
*NOTE:
*This is the user's file.Refer to the read.me file before you proceed.
*
************************************************************************
****                HSPICE EXECUTION OPTIONS                        ****
************************************************************************
*
    .OPTIONS POST           $ Enables HSPLOT interface
    .OPTIONS ACCT OPTS      $ Prints stats & option values used
    .OPTIONS SPICE=1        $ Forces Berkeley compatibility
    .OPTIONS GMIN=1E-10     $ Lowest allowable conductance values
    .OPTIONS GMINDC=1E-10
    .OPTIONS ITL1=400       $ Maximum DC iteration limit
    .OPTIONS ITL4=40        $ Maximum transient iterations/timestep
    .OPTIONS ITL5=0         $ No limit to total transient iterations
*
***********************************************************************
*
*   NOTE:
*   The following files must be present to use this SPICE model:
*      SSTU32864AINC.INC     (netlist)
*      p1833c07ninc.inc     (Nominal process models)
*      p1833c07sinc.inc     (Strong  process models) 	
*      p1833c07winc.inc     (Weak    process models)
*      READ.ME              (General use, release notes, ...)
*
*   INSTRUCTIONS:
*   For the process model use either the strong (p1833c07sINC)
*				     the weak   (p1833c07wINC)
*				     the nominal(p1833c07nINC) 	 	
*   To use this SPICE model, include the following lines in your main 
*   netlist (Choose only one package model and one process model):
*      .
*      .
*      .
*       .OPTIONS search='./'
        X_DEVICE_SELECTOR  0 SSTU32864AINC
	.include BGA96
	.include nwellpsubdiode

	X_PROCESS_SELECTOR 0 p1833c07nINC
	.include NwellRNom
	.include siblkpolyrnom

*	X_PROCESS_SELECTOR 0 p1833c07sINC
*	.include siblkpolyrmin
*	.include NwellRMin

*	X_PROCESS_SELECTOR 0 p1833c07wINC
*	.include NwellRMax
*	.include siblkpolyrmax
***********************************************************************
* Refer to the data sheet for node description.
***********************************************************************
******Top level Subcircuit call (user's nodes)
***********************************************************************
xsstu32864a x_c0 x_c1 x_clk x_nclk x_nreset x_dcke x_dodt x_dcs x_csr
+ x_d2 x_d3 x_d5 x_d6 x_d8 x_d9 x_d10 x_d11 x_d12 x_d13 x_d14 x_d15 x_d16 
+ x_d17 x_d18 x_d19 x_d20 x_d21 x_d22 x_d23 x_d24 x_d25 x_qckea x_qckeb 
+ x_qodta x_qodtb x_qcsa x_qcsb x_q2 x_q3 x_q5 x_q6 x_q8 x_q9 x_q10 
+ x_q11 x_q12 x_q13 x_q14 x_q15 x_q16 x_q17 x_q18 x_q19 x_q20 x_q21 
+ x_q22 x_q23 x_q24 x_q25 x_vref1 x_vref48 x_CGND x_CVCC sstu32864a

***********************************************************************
******Supply Voltages
***********************************************************************
v_gnd	x_CGND	0	DC	biaslv
v_vcc	x_CVCC	0	DC	biashv
v_vref1	x_vref1		0	DC	biasrv
v_vref2	x_vref48	0	DC	biasrv

***********************************************************************
******Subcircuit for package connection
***********************************************************************
.SUBCKT sstu32864a p_c0 p_c1 p_clk p_nclk p_nreset p_dcke p_dodt p_dcs p_csr
+ p_d2 p_d3 p_d5 p_d6 p_d8 p_d9 p_d10 p_d11 p_d12 p_d13 p_d14 p_d15 p_d16 
+ p_d17 p_d18 p_d19 p_d20 p_d21 p_d22 p_d23 p_d24 p_d25 p_qckea p_qckeb 
+ p_qodta p_qodtb p_qcsa p_qcsb p_q2 p_q3 p_q5 p_q6 p_q8 p_q9 p_q10 
+ p_q11 p_q12 p_q13 p_q14 p_q15 p_q16 p_q17 p_q18 p_q19 p_q20 p_q21 
+ p_q22 p_q23 p_q24 p_q25 p_vref1 p_vref48 p_CGND p_CVCC
 X_PIN1		p_vref1		s_vref1		BGA96_01
 X_PIN4		p_dcke		s_dcke		BGA96_04
 X_PIN5		p_d15		s_d15		BGA96_05
 X_PIN6		p_d2		s_d2		BGA96_06
 X_PIN8		p_d16		s_d16		BGA96_08
 X_PIN9		p_d3		s_d3		BGA96_09
 X_PIN12	p_dodt		s_dodt		BGA96_12
 X_PIN14	p_d17		s_d17		BGA96_14
 X_PIN15	p_d5		s_d5		BGA96_15
 X_PIN17	p_d18		s_d18		BGA96_17
 X_PIN18	p_d6		s_d6		BGA96_18
 X_PIN20	p_nreset	s_nreset	BGA96_20
 X_PIN23	p_dcs		s_dcs		BGA96_23
 X_PIN24	p_clk		s_clk		BGA96_24
 X_PIN25	p_nclk		s_nclk		BGA96_25
 X_PIN26	p_csr		s_csr		BGA96_26
 X_PIN28	p_d8		s_d8		BGA96_28
 X_PIN29	p_d19		s_d19		BGA96_29
 X_PIN31	p_d9		s_d9		BGA96_31
 X_PIN32	p_d20		s_d20		BGA96_32
 X_PIN34	p_d10		s_d10		BGA96_34
 X_PIN35	p_d21		s_d21		BGA96_35
 X_PIN37	p_d11		s_d11		BGA96_37
 X_PIN38	p_d22		s_d22		BGA96_38
 X_PIN40	p_d12		s_d12		BGA96_40
 X_PIN41	p_d23		s_d23		BGA96_41
 X_PIN43	p_d13		s_d13		BGA96_43
 X_PIN44	p_d24		s_d24		BGA96_44
 X_PIN45	p_d14		s_d14		BGA96_45
 X_PIN46	p_d25		s_d25		BGA96_46
 X_PIN48	p_vref48	s_vref48	BGA96_48
 X_PIN51	p_q14		s_q14		BGA96_51
 X_PIN52	p_q25		s_q25		BGA96_52
 X_PIN53	p_q13		s_q13		BGA96_53
 X_PIN54	p_q24		s_q24		BGA96_54
 X_PIN56	p_q12		s_q12		BGA96_56
 X_PIN57	p_q23		s_q23		BGA96_57
 X_PIN59	p_q11		s_q11		BGA96_59
 X_PIN60	p_q22		s_q22		BGA96_60
 X_PIN62	p_q10		s_q10		BGA96_62
 X_PIN63	p_q21		s_q21		BGA96_63
 X_PIN65	p_q9		s_q9		BGA96_65
 X_PIN66	p_q20		s_q20		BGA96_66
 X_PIN68	p_q8		s_q8		BGA96_68
 X_PIN69	p_q19		s_q19		BGA96_69
 X_PIN73	p_qcsb		s_qcsb		BGA96_73
 X_PIN74	p_qcsa		s_qcsa		BGA96_74
 X_PIN76	p_c0		s_c0		BGA96_76
 X_PIN77	p_c1		s_c1		BGA96_77
 X_PIN79	p_q18		s_q18		BGA96_79
 X_PIN80	p_q6		s_q6		BGA96_80
 X_PIN82	p_q17		s_q17		BGA96_82
 X_PIN83	p_q5		s_q5		BGA96_83
 X_PIN85	p_qodtb		s_qodtb		BGA96_85
 X_PIN86	p_qodta		s_qodta		BGA96_86
 X_PIN88	p_q16		s_q16		BGA96_88
 X_PIN89	p_q3		s_q3		BGA96_89
 X_PIN91	p_q15		s_q15		BGA96_91
 X_PIN92	p_q2		s_q2		BGA96_92
 X_PIN93	p_qckeb		s_qckeb		BGA96_93
 X_PIN94	p_qckea		s_qckea		BGA96_94
 X_PIN7		p_CVCC		s_CVCC		BGA96_07
 X_PIN13	p_CVCC		s_CVCC		BGA96_13
 X_PIN19	p_CVCC		s_CVCC		BGA96_19
 X_PIN27	p_CVCC		s_CVCC		BGA96_27
 X_PIN33	p_CVCC		s_CVCC		BGA96_33
 X_PIN39	p_CVCC		s_CVCC		BGA96_39
 X_PIN47	p_CVCC		s_CVCC		BGA96_47
 X_PIN49	p_CVCC		s_CVCC		BGA96_49
 X_PIN50	p_CVCC		s_CVCC		BGA96_50
 X_PIN58	p_CVCC		s_CVCC		BGA96_58
 X_PIN64	p_CVCC		s_CVCC		BGA96_64
 X_PIN70	p_CVCC		s_CVCC		BGA96_70
 X_PIN78	p_CVCC		s_CVCC		BGA96_78
 X_PIN84	p_CVCC		s_CVCC		BGA96_84
 X_PIN90	p_CVCC		s_CVCC		BGA96_90
 X_PIN96	p_CVCC		s_CVCC		BGA96_96
 X_PIN2		p_CGND		s_CGND		BGA96_02
 X_PIN10	p_CGND		s_CGND		BGA96_10
 X_PIN16	p_CGND		s_CGND		BGA96_16
 X_PIN22	p_CGND		s_CGND		BGA96_22
 X_PIN30	p_CGND		s_CGND		BGA96_30
 X_PIN36	p_CGND		s_CGND		BGA96_36
 X_PIN42	p_CGND		s_CGND		BGA96_42
 X_PIN55	p_CGND		s_CGND		BGA96_55
 X_PIN61	p_CGND		s_CGND		BGA96_61
 X_PIN67	p_CGND		s_CGND		BGA96_67
 X_PIN75	p_CGND		s_CGND		BGA96_75
 X_PIN81	p_CGND		s_CGND		BGA96_81
 X_PIN87	p_CGND		s_CGND		BGA96_87
 X_PIN95	p_CGND		s_CGND		BGA96_95
xsstu32864a_die s_c0 s_c1 s_clk s_nclk s_nreset s_dcke s_dodt s_dcs s_csr
+ s_d2 s_d3 s_d5 s_d6 s_d8 s_d9 s_d10 s_d11 s_d12 s_d13 s_d14 s_d15 s_d16 
+ s_d17 s_d18 s_d19 s_d20 s_d21 s_d22 s_d23 s_d24 s_d25 s_qckea s_qckeb 
+ s_qodta s_qodtb s_qcsa s_qcsb s_q2 s_q3 s_q5 s_q6 s_q8 s_q9 s_q10 
+ s_q11 s_q12 s_q13 s_q14 s_q15 s_q16 s_q17 s_q18 s_q19 s_q20 s_q21 
+ s_q22 s_q23 s_q24 s_q25 s_vref1 s_vref48 s_CGND s_CVCC sstu32864a__bit
.ENDS sstu32864a

***********************************************************************
.temp 25
.param ER=0.5ns			$ Signal Generator Output Edge Rate
.param F1=200xHz		$ Signal Generator Output Frequency
.param F2='F1/2'
.param F3='F1/4'
.param F4='F1/8'
.param T1='1/F1'		$ Signal Generator Output Period
.param T2='1/F2'
.param T3='1/F3'
.param T4='1/F4'
.param W1='(T1/2)-ER'		$ Signal Generator Output Pulse Width
.param W2='(T2/2)-ER'
.param W3='(T3/2)-ER'
.param W4='(T4/2)-ER'

.param rl=1000
.param cl=30pF

.param biaslv=0.0
.param biashv=1.8
.param biasqv=1.8
.param biasrv=0.9
.param lowclk=0.59
.param higclk=1.21
.param lowdat=0.49
.param higdat=1.31

***********************************************************************
**** TRANSIENT ANALYSES <-------
**** Propagation test (LH/HL)
***********************************************************************
.TRAN         0.05NS 100NS

V_nreset	x_nreset	0	DC	biashv
V_c0		x_c0		0	DC	biaslv
V_c1		x_c1		0	DC	biaslv
V_nclk		x_nclk		0	PULSE	(lowclk higclk 'T1/2'  ER ER W1 T1)
V_clk		x_clk		0	PULSE	(lowclk higclk 'T1/1'  ER ER W1 T1)
V_d2		x_d2		0	PULSE	(lowdat higdat 'T2-ER' ER ER W2 T2)
V_d3		x_d3		0	PULSE	(lowdat higdat 'T2-ER' ER ER W2 T2)
V_d5		x_d5		0	PULSE	(lowdat higdat 'T2-ER' ER ER W2 T2)
V_d6		x_d6		0	PULSE	(lowdat higdat 'T2-ER' ER ER W2 T2)
V_d8		x_d8		0	PULSE	(lowdat higdat 'T2-ER' ER ER W2 T2)
V_d9		x_d9		0	PULSE	(lowdat higdat 'T2-ER' ER ER W2 T2)
V_d10		x_d10		0	PULSE	(lowdat higdat 'T2-ER' ER ER W2 T2)
V_d11		x_d11		0	PULSE	(lowdat higdat 'T2-ER' ER ER W2 T2)
V_d12		x_d12		0	PULSE	(lowdat higdat 'T2-ER' ER ER W2 T2)
V_d13		x_d13		0	PULSE	(lowdat higdat 'T2-ER' ER ER W2 T2)
V_d14		x_d14		0	PULSE	(lowdat higdat 'T2-ER' ER ER W2 T2)
V_d15		x_d15		0	PULSE	(lowdat higdat 'T4-ER' ER ER W2 T4)
V_d16		x_d16		0	PULSE	(lowdat higdat 'T4-ER' ER ER W2 T4)
V_d17		x_d17		0	PULSE	(lowdat higdat 'T4-ER' ER ER W2 T4)
V_d18		x_d18		0	PULSE	(lowdat higdat 'T4-ER' ER ER W2 T4)
V_d19		x_d19		0	PULSE	(lowdat higdat 'T4-ER' ER ER W2 T4)
V_d20		x_d20		0	PULSE	(lowdat higdat 'T4-ER' ER ER W2 T4)
V_d21		x_d21		0	PULSE	(lowdat higdat 'T4-ER' ER ER W2 T4)
V_d22		x_d22		0	PULSE	(lowdat higdat 'T4-ER' ER ER W2 T4)
V_d23		x_d23		0	PULSE	(lowdat higdat 'T4-ER' ER ER W2 T4)
V_d24		x_d24		0	PULSE	(lowdat higdat 'T4-ER' ER ER W2 T4)
V_d25		x_d25		0	PULSE	(lowdat higdat 'T4-ER' ER ER W2 T4)
V_dcs		x_dcs		0	PULSE	(lowdat higdat 'T1-ER' ER ER W3 T3)
V_csr		x_csr		0	PULSE	(lowdat higdat 'T2-ER' ER ER W3 T3)
V_dcke		x_dcke		0	PULSE	(lowdat higdat 'T3-ER' ER ER W4 T4)
V_dodt		x_dodt		0	PULSE	(lowdat higdat 'T4-ER' ER ER W4 T4)

xOUT_q2		x_q2	x_CVCC	Q_LOAD
xOUT_q3		x_q3	x_CVCC	Q_LOAD
xOUT_q5		x_q5	x_CVCC	Q_LOAD
xOUT_q6		x_q6	x_CVCC	Q_LOAD
xOUT_q8		x_q8	x_CVCC	Q_LOAD
xOUT_q9		x_q9	x_CVCC	Q_LOAD
xOUT_q10	x_q10	x_CVCC	Q_LOAD
xOUT_q11	x_q11	x_CVCC	Q_LOAD
xOUT_q12	x_q12	x_CVCC	Q_LOAD
xOUT_q13	x_q13	x_CVCC	Q_LOAD
xOUT_q14	x_q14	x_CVCC	Q_LOAD
xOUT_q15	x_q15	x_CVCC	Q_LOAD
xOUT_q16	x_q16	x_CVCC	Q_LOAD
xOUT_q17	x_q17	x_CVCC	Q_LOAD
xOUT_q18	x_q18	x_CVCC	Q_LOAD
xOUT_q19	x_q19	x_CVCC	Q_LOAD
xOUT_q20	x_q20	x_CVCC	Q_LOAD
xOUT_q21	x_q21	x_CVCC	Q_LOAD
xOUT_q22	x_q22	x_CVCC	Q_LOAD
xOUT_q23	x_q23	x_CVCC	Q_LOAD
xOUT_q24	x_q24	x_CVCC	Q_LOAD
xOUT_q25	x_q25	x_CVCC	Q_LOAD
xOUT_qcsa	x_qcsa	x_CVCC	Q_LOAD
xOUT_qcsb	x_qcsb	x_CVCC	Q_LOAD
xOUT_qckea	x_qckea	x_CVCC	Q_LOAD
xOUT_qckeb	x_qckeb	x_CVCC	Q_LOAD
xOUT_qodta	x_qodta	x_CVCC	Q_LOAD
xOUT_qodtb	x_qodtb	x_CVCC	Q_LOAD

.SUBCKT Q_LOAD q_TestPoint x_CVCC
C_l	q_TestPoint	0	cl
R_l	q_TestPoint	0	rl
R_t	q_TestPoint	x_CVCC	rl
.ENDS Q_LOAD

***********************************************************************
.END
